<?xml version="1.0" encoding="UTF-8"?>
<!--
- Licensed Materials - Property of IBM* and/or HCL**
- UrbanCode Deploy
- (c) Copyright IBM Corporation 2011, 2018. All Rights Reserved.
- (c) Copyright HCL Technologies Ltd. 2018, 2019. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
-
- * Trademark of International Business Machines
- ** Trademark of HCL Technologies Limited
-->

<plugin-upgrade
        xmlns="http://www.urbancode.com/UpgradeXMLSchema_v1"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <migrate to-version="2">
  </migrate>
  <migrate to-version="3">
  </migrate>
  <migrate to-version="4">
      <migrate-command name="Import Version">
          <migrate-properties>
            <migrate-property name="isICS"/>
          </migrate-properties>
      </migrate-command>
  </migrate>
  <migrate to-version="5">
      <migrate-command name="Import Version"/>
  </migrate>
  <migrate to-version="6">
      <migrate-command name="Import Version">
        <migrate-properties>
              <migrate-property name="allowInsecure" default="false"/>
        </migrate-properties>
      </migrate-command>
  </migrate>
  <migrate to-version="7">
      <migrate-command name="Import Version"/>
  </migrate>
  <migrate to-version="8">
    <migrate-command name="Import Version">
      <migrate-properties>
            <migrate-property name="registryType" old="isICS" default="false"/>
            <migrate-property name="api"/>
            <migrate-property name="space"/>
            <migrate-property name="org"/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="9">
    <migrate-command name="Import Version">
      <migrate-properties>
            <migrate-property name="CF_HOME" default=""/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="10">
    <migrate-command name="Import Version"/>
  </migrate>
  <migrate to-version="11">
    <migrate-command name="Import Version">
      <migrate-properties>
            <migrate-property name="openshiftServer" default=""/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="12">
    <migrate-command name="Import Version" >
      <migrate-properties>
            <migrate-property name="registryType" default="false"/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="13">
    <migrate-command name="Import Version" >
      <migrate-properties>
          <migrate-property name="dockerRegistryUsername" default="${p?:dockerUsername}"/>
          <migrate-property name="dockerRegistryPassword" default="${p?:dockerPassword}"/>
          <migrate-property name="dockerRegistryUserEmail" default="${p?:dockerEmail}"/>
          <migrate-property name="namingConvention" default="hyphenated"/>
          <migrate-property name="registryType" default="false"/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="14">
    <migrate-command name="Import Version"/>
  </migrate>
  <migrate to-version="15">
    <migrate-command name="Import Version"/>
  </migrate>
  <migrate to-version="16">
    <migrate-command name="Import Version" >
      <migrate-properties>
          <migrate-property name="registryType" default="false"/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="17">
    <migrate-command name="Import Version" >
      <migrate-properties>
          <migrate-property name="registryType" default="false"/>
          <migrate-property name="region" default=""/>
          <migrate-property name="awsCli" default=""/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="18">
  </migrate>
  <migrate to-version="19">
  </migrate>
  <migrate to-version="20">
    <migrate-command name="Import Version" >
      <migrate-properties>
          <migrate-property name="dockerHome" default=""/>
          <migrate-property name="dockerRegistryAPIKey" default=""/>
          <migrate-property name="regexForTag" default=""/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="21">
  </migrate>
  <migrate to-version="31">
  </migrate>
  <migrate to-version="32">
  </migrate>
  <migrate to-version="33">
  </migrate>
  <migrate to-version="34">
  </migrate>
  <migrate to-version="35">
  </migrate>
  <migrate to-version="36">
  </migrate>
  <migrate to-version="37">
  </migrate>
  <migrate to-version="38">
    <migrate-command name="Import Version">
        <migrate-properties>
            <migrate-property name="description" default="" />
        </migrate-properties>
      </migrate-command>
  </migrate>
  <migrate to-version="39">
    <migrate-command name="Import Version">
      <migrate-properties>
            <migrate-property name="namingConvention" default=""/>
      </migrate-properties>
    </migrate-command>
  </migrate>
</plugin-upgrade>
